Bug 199907 - OOo crashes for checking 'scan' help result
OOo crashes for checking 'scan' help result
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Desktop
: 200356 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-24 04:51 EDT by Xiaohong Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-7.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 05:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash (123.59 KB, image/png)
2006-07-24 04:51 EDT, Xiaohong Wang
no flags Details

  None (edit)
Description Xiaohong Wang 2006-07-24 04:51:39 EDT
Description of problem:


Version-Release number of selected component (if applicable):
openoffice.org-2.0.3-7.5

How reproducible:
always

Steps to Reproduce:
1. From the menu bar, select Help -> OpenOffice.org Help -> click 'Find' tab  
2. Input 'scan' for 'Search term' and click 'Find' button
3. Click any item from the find results
  
Actual results:
An error dialog pops up, 'OOo has crashed!: Paste this text into your bugreport'

(I) x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(III) Desktop is: GNOME
(IV) libgcj version is: libgcj-4.1.1-6-i386
(V) kernel is: Linux 2.6.17-1.2358.fc6 #1 SMP Fri Jul 7 04:02:07 EDT 2006 i686
i686 i386
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-7.5-i386
(VII) accessibility is: false
(VIII) fedora release is: Fedora Core release 5.90 (Test)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
0x6abc780: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e780
0x6abcfc0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1efc0
0xb7fb9420:  + 0x420 (__kernel_sigreturn + 0x0)
0x10d45dd: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6b65dd
(SwNumRule::Validate() + 0x23)
0x10ba3fe: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x69c3fe
(SwDoc::UpdateNumRule() + 0x32)
0xf04a9d: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x4e6a9d
(SwCrsrShell::EndAction(unsigned char) + 0x53)
0x12000a6: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x7e20a6
(SwHTMLParser::CallEndAction(unsigned char, unsigned char) + 0x11c)
0x1200290: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x7e2290
(SwHTMLParser::Show() + 0x1e)
0x120700e: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x7e900e
(SwHTMLParser::NextToken(int) + 0x16b0)
0x5cd4653: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x3a3653
(HTMLParser::Continue(int) + 0x3b)
0x1203489: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x7e5489
(SwHTMLParser::Continue(int) + 0x181)
0x5cd7840: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x3a6840
(SvParser::NewDataRead(SvParser*, void*) + 0x48)
0x30e632: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3a632
(Link::Call(void*) const + 0x16)
0x11fd1ec: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x7df1ec
(SwHTMLParser::AsyncCallback(void*) + 0x68)
0x11fd210: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x7df210
(SwHTMLParser::LinkStubAsyncCallback(void*, void*) + 0x1a)
0x30e632: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3a632
(Link::Call(void*) const + 0x16)
0x726df5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b8df5
(ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) + 0x84b)
0x2538dc4: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x44dc4
(SalFrame::CallCallback(unsigned short, void const*) const + 0x20)
0x2727b6c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x5fb6c
(SalDisplay::DispatchInternalEvent() + 0x64)
0x251c2b6: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x282b6
(GtkXLib::userEventFn(void*) + 0x88)
0x3f29bf1: /lib/libglib-2.0.so.0 + 0x29bf1
0x3f2b952: /lib/libglib-2.0.so.0 + 0x2b952 (g_main_context_dispatch + 0x182)
0x3f2e92f: /lib/libglib-2.0.so.0 + 0x2e92f
0x3f2ee95: /lib/libglib-2.0.so.0 + 0x2ee95 (g_main_context_iteration + 0x65)
0x251b343: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x27343
(GtkXLib::Yield(unsigned char) + 0x4f)
0x272a5a9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x625a9
(X11SalInstance::Yield(unsigned char) + 0x27)
0x5d3b9e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165b9e
(Application::Yield() + 0x48)
0x5d3c22: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165c22
(Application::Execute() + 0x26)
0x30b3e9: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x373e9
(desktop::Desktop::Main() + 0x15c1)
0x5d7a8c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x169a8c
(ImplSVMain() + 0x44)
0x5d7b3f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x169b3f (SVMain()
+ 0x2b)
0x305159: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x31159 (sal_main +
0x5d)
0x3051a5: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x311a5 (main + 0x27)
0x350214: /lib/libc.so.6 + 0x19214 (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1


Expected results:


Additional info:
Comment 1 Xiaohong Wang 2006-07-24 04:51:40 EDT
Created attachment 132906 [details]
crash
Comment 2 Caolan McNamara 2006-07-24 06:37:40 EDT
reproducable
Comment 3 Caolan McNamara 2006-07-24 14:53:12 EDT
a double free, working on it
Comment 4 Caolan McNamara 2006-07-26 05:28:04 EDT
fix checked in
Comment 5 Caolan McNamara 2006-07-27 06:57:35 EDT
*** Bug 200356 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.